summaryrefslogtreecommitdiff
path: root/tests/liberty/run-test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/liberty/run-test.sh')
-rwxr-xr-xtests/liberty/run-test.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/tests/liberty/run-test.sh b/tests/liberty/run-test.sh
new file mode 100755
index 00000000..7e2ed237
--- /dev/null
+++ b/tests/liberty/run-test.sh
@@ -0,0 +1,10 @@
+#!/bin/bash
+set -e
+
+for x in *.lib; do
+ echo "Running $x.."
+ echo "read_verilog small.v" > test.ys
+ echo "synth -top small" >> test.ys
+ echo "dfflibmap -liberty ${x}" >> test.ys
+ ../../yosys -ql ${x%.lib}.log -s test.ys
+done